use Test::Simple tests => 12;
use strict;
use DE_EPAGES::Core::API::Error qw (ExistsError);
use DE_EPAGES::Core::API::PerlTools qw(UsePackage);

foreach my $Package (qw(
    DE_EPAGES::Cartridge::DAL::SQL::Cartridges
    DE_EPAGES::Cartridge::DAL::Sybase::Cartridges
    DE_EPAGES::Cartridge::DAL::mysql::Cartridges
    DE_EPAGES::Cartridge::DAL::Cartridges
    DE_EPAGES::Cartridge::API::Table::Cartridge
    DE_EPAGES::Cartridge::API::Table::CartridgeDependency
    DE_EPAGES::Cartridge::API::XML::CartridgesDeleteHandler
    DE_EPAGES::Cartridge::API::XML::CartridgesExportDriver
    DE_EPAGES::Cartridge::API::XML::CartridgesImportHandler
    DE_EPAGES::Cartridge::API::Cartridge

    DE_EPAGES::Cartridge::API::CartridgeCreator
    DE_EPAGES::Cartridge::API::CartridgeInstaller
  )) {
    UsePackage( $Package );
    ok ( !ExistsError(), $Package);
}
