import java.io.*;
import com.lowagie.text.DocumentException;
import org.xhtmlrenderer.pdf.ITextRenderer;
import org.xhtmlrenderer.pdf.ToPDF;
import java.io.ByteArrayOutputStream;
import javax.mail.internet.MimeUtility;
import javax.mail.MessagingException;

public class PdfConverter {
     public PdfConverter(){
        System.setProperty("java.awt.headless", "true");
     }

     public String Convert(final String htmlCode) throws MessagingException, IOException, DocumentException {

        //generate pdf output from from html string
        ByteArrayOutputStream bout = new ByteArrayOutputStream();
        ITextRenderer renderer = new ITextRenderer();

        renderer.setDocumentFromString(htmlCode);
        renderer.layout();
        renderer.createPDF(bout);

        //convert pdf output to base64 string
        byte[] b = bout.toByteArray();
        ByteArrayOutputStream baos = new ByteArrayOutputStream();
        OutputStream b64os = MimeUtility.encode(baos, "base64");
        b64os.write(b);
        b64os.close();
        return new String(baos.toByteArray());
    }
}