/*
	Copyright (c) 2006-2007, epages Software GmbH
	All Rights Reserved.

	epages.cartridges.de_epages.design.widget.Toolalignment $Revision: 1.6.4.1 $

*/
dojo.provide("epages.cartridges.de_epages.design.widget.Toolalignment");

dojo.require("epages.widget.LocalizedWidget");
dojo.require("epages.io.translation");
dojo.require("dijit._Container");
dojo.require("epages.widget.FormElement");



dojo.declare(
	"epages.cartridges.de_epages.design.widget.Toolalignment",
	[epages.widget.LocalizedWidget,dijit._Container],
	{
		/**
		 * public properties
		 */
		alignment						: '',
		alignType						: '',
		objectId						: '',

		/**
		 * widget properties
		 */
		declaredClass		: 'epages.design.Toolalignment',
		templatePath		: dojo.moduleUrl('epages.cartridges.de_epages.design.widget','templates/Toolalignment.html'),
		translationName : dojo.moduleUrl('epages.cartridges.de_epages.design.widget','templates/translation'),

		// override
		postCreate	: function() {
                // summary: Set font select node value
			this.inherited("postCreate", arguments);
			this.selectWidget = new epages.widget.FormElement({}, this.selectNode);
			
			this.selectWidget.elementNode.value = this.alignment;
			this.selectWidget.elementNode.startupSelected = this.selectWidget.elementNode.selectedIndex;
			this.selectWidget.elementNode.startupIndex = this.selectWidget.elementNode.selectedIndex;
			this.selectWidget.elementNode.startupValue = this.selectWidget.elementNode.value;
			this.startUpChangeInterval = setInterval(dojo.hitch(this, function() {
				if(this.selectWidget.domNode.className.match("Changed")) {
					dojo.removeClass(this.selectWidget.domNode, "Changed");
					clearInterval(this.startUpChangeInterval);
				}
			}), 500);
		}
	});

