-- #103
CREATE TABLE ebayshippinglocation (
    ebayshippinglocationid int           not null
,   ebayenvironmentid    int           null
,   name                 nvarchar(255)  null

,   constraint pk_ebayshippinglocation          primary key (ebayshippinglocationid)
,   constraint fk_ebayshippinglocation_ebayen   foreign key (ebayenvironmentid)
        references ebayenvironment                  (ebayenvironmentid)
,   constraint fk_ebayshippinglocation_object   foreign key (ebayshippinglocationid)
        references object                           (objectid)
)
GO
CREATE INDEX i_ebayshiploc_env ON ebayshippinglocation (ebayenvironmentid)
GO
