-- #103
CREATE TABLE forumpost (
     forumpostid          integer  not null
,    userid               integer  null
,    forumid              integer  not null
,    remoteip             varchar(45)  null
,    subject              varchar(255)  null
,    isvisible            bool  not null
,    isclosed             bool  not null
,    message              longtext  null
,    spam                 smallint  not null
,    threadid             integer  null

,   constraint pk_forumpost                     primary key (forumpostid)
,   constraint fk_forumpost_users               foreign key (userid)
        references users                            (userid)
,   constraint fk_forumpost_object              foreign key (forumpostid)
        references object                           (objectid)
,   constraint fk_forumpost_forum               foreign key (forumid)
        references forum                            (forumid)
,   constraint fk_forumpost_forumpost           foreign key (threadid)
        references forumpost                        (forumpostid)
)
GO
CREATE INDEX i_forumpost_user ON forumpost (userid)
GO
CREATE INDEX i_forumpost_forum ON forumpost (forumid)
GO
