use Test::Simple tests => 2;
use strict;
use DE_EPAGES::Core::API::Error qw (ExistsError ResetError);
use DE_EPAGES::Core::API::PerlTools qw(UsePackage);

foreach my $Package (qw(
    DE_EPAGES::Mail::API::SMTP
    DE_EPAGES::Mail::API::Mail
  )) {

    ResetError();
    UsePackage( $Package );
    ok ( ExistsError() == 0, $Package);
}


