-- #302
CREATE TABLE stringattribute (
    objectid             int           not null
,   attributeid          int           not null
,   value                nvarchar(255)  not null

,   constraint pk_stringattribute               primary key (objectid,attributeid)
,   constraint fk_stringattribute_object        foreign key (objectid)
        references object                           (objectid)
,   constraint fk_stringattribute_attribute     foreign key (attributeid)
        references attribute                        (attributeid)
) LOCK DATAROWS
GO
CREATE INDEX i_stringattribute_aid ON stringattribute (attributeid)
GO
