-- #302
CREATE TABLE session (
    intsessionid         int           not null
,   sessionid            varchar(32)   not null
,   userid               int           null
,   isclosed             bit           not null
,   iscookieidentified   bit           not null
,   creationdate         datetime      not null
,   remoteip             varchar(45)   null
,   remotehost           varchar(80)   null
,   remoteuser           varchar(80)   null
,   refererurl           varchar(255)  null
,   token                varchar(32)   null

,   constraint pk_session                       primary key (intsessionid)
,   constraint fk_session_users                 foreign key (userid)
        references users                            (userid)
) LOCK DATAROWS
GO
CREATE UNIQUE INDEX u_sessionid ON session (sessionid)
GO
