-- #202
CREATE TABLE downloadproductmap (
    downloadproductmapid int           not null
,   downloadproductid    int           not null
,   targeturl            varchar(255)  not null
,   isexternal           bit           not null
,   filesize             float         null
,   position             int           not null

,   constraint pk_downloadproductmap            primary key (downloadproductmapid)
,   constraint fk_downloadproductmap_product    foreign key (downloadproductid)
        references product                          (productid)
)
GO
CREATE UNIQUE INDEX i_download_product_url ON downloadproductmap (downloadproductid, targeturl)
GO
