IF OBJECT_ID('n_DownloadProductMap') IS NOT NULL
    DROP PROCEDURE n_DownloadProductMap
GO
CREATE PROCEDURE n_DownloadProductMap AS BEGIN
    declare @DownloadProductMapID int
    declare @RowCounter int

    while (@DownloadProductMapID IS NULL) begin
        update downloadproductmap_nextid set id = id + 1, @DownloadProductMapID = id + 1
        select @RowCounter = @@rowcount
        if (@RowCounter = 0) BEGIN
            insert downloadproductmap_nextid (id) values (1)
            select @DownloadProductMapID = 1
        end
        if (@RowCounter > 1) BEGIN
            delete downloadproductmap_nextid
            insert downloadproductmap_nextid (id) values (1)
            select @DownloadProductMapID = 1
        end
        if exists ( select downloadproductmapid from downloadproductmap where downloadproductmapid = @DownloadProductMapID)
            select @DownloadProductMapID = null
    end

    SELECT @DownloadProductMapID
    RETURN 0
END
GO
