-- #202
CREATE TABLE downloadproductmap (
     downloadproductmapid integer  not null AUTO_INCREMENT
,    downloadproductid    integer  not null
,    targeturl            varchar(255)  not null
,    isexternal           bool  not null
,    filesize             double  null
,    position             integer  not null

,   constraint pk_downloadproductmap            primary key (downloadproductmapid)
,   constraint fk_downloadproductmap_product    foreign key (downloadproductid)
        references product                          (productid)
)
GO
CREATE UNIQUE INDEX i_download_product_url ON downloadproductmap (downloadproductid, targeturl)
GO
