{
  'alias': '#Class.Alias[js]',
  'name': '#Class.Name[js]',
  'attributes': {#JOIN(",", #UserDefinedAttributeValues)
    '#Attribute.Alias' : {#LOOP(#Shop.Languages)#WITH_LANGUAGE(#LanguageID)
      'name:#LanguageID' : '#Attribute.Name[js]',#ENDWITH_LANGUAGE#ENDLOOP
      'id': '#Attribute.ID',
      'productId' : #ID,
      'type': '#Attribute.Type', #LOCAL("IsLocalized", "false")#IF(#Attribute.Type EQ "LocalizedFile" OR
                                                           #Attribute.Type EQ "LocalizedString" OR
                                                           #Attribute.Type EQ "PreDefLocalizedString" OR
                                                           #Attribute.Type EQ "PreDefMultiLocalizedString" OR
                                                           #Attribute.Type EQ "PreDefCustomerString")#SET("IsLocalized", "true")#ENDIF
  #IF((#Attribute.Type EQ "PreDefString" OR #Attribute.Type EQ "PreDefLocalizedString"))#LOCAL("SelectedValueID", #Value.ID)#IF(NOT #DEFINED(#SelectedValueID))#SET("SelectedValueID",0)#ENDIF
      'value': '#SelectedValueID'#ENDLOCAL,
  #ELSIF(#Attribute.Type EQ "PreDefMultiString" OR #Attribute.Type EQ "PreDefMultiLocalizedString" OR #Attribute.Type EQ "PreDefCustomerString")#LOCAL("SelectedValues", #FUNCTION("MULTISELECTEDVALUES", #Attribute.PreDefAttributes, #Value))
      'values' : [#JOIN(",",#GREP(#SelectedValues, "Selected", 1))
        '#ID'#ENDJOIN
      ]#ENDLOCAL,
  #ELSE
    #IF(#IsLocalized EQ "true")#LOOP(#Shop.Languages)#WITH_LANGUAGE(#LanguageID)#LOCAL("LocalizedValue", #GET(#Attribute.Alias))
      #IF(#Attribute.Type EQ "LocalizedFile")
      'file:#LanguageID' : '#LocalizedValue[webpath]',
      #ENDIF
      'value:#LanguageID': '#LocalizedValue',#ENDLOCAL#ENDWITH_LANGUAGE#ENDLOOP
    #ELSE
      #IF(#Attribute.Type EQ "File")
      'file': '#Value[webpath]',
      #ENDIF
      'value': '#Value',
    #ENDIF
  #ENDIF
      'isLocalized' : #IsLocalized,
      'position' : '#Attribute.Position',
      'isPreDefAttributesContainer' : #IF(#Attribute.Type EQ "PreDefString" OR
                                        #Attribute.Type EQ "PreDefMultiString" OR
                                        #Attribute.Type EQ "PreDefLocalizedString" OR
                                        #Attribute.Type EQ "PreDefMultiLocalizedString" OR
                                        #Attribute.Type EQ "PreDefCustomerString") true #ELSE false #ENDIF,
      'isVisible': '#Attribute.IsVisible'#IF(#COUNT(#Attribute.PreDefAttributes)),
      preDefAttributes : [#JOIN(",", #Attribute.PreDefAttributes) {
        'alias': '#Alias',
        'id': '#ID',#IF(#IsLocalized EQ "true")#JOIN(",",#Shop.Languages)#WITH_LANGUAGE(#LanguageID)
        'value:#LanguageID': '#Value'#ENDWITH_LANGUAGE#ENDJOIN
      #ELSE
        'value:#INPUT.LanguageID': '#Value'#ENDIF
      }#ENDJOIN
      ]#ENDIF#ENDLOCAL
    }#ENDJOIN
  }
}

#REM/*

============================
EXAMPLE: all attribute types
============================

{
  alias: 'AttributeTester',
  name: 'AttributeTester',
  attributes: {
      'text_' : {
      'name:1' : 'text',
      'name:2' : '',
      id: '9250',
      productId : 9227,
      type: 'String',



      'value': '',


      isLocalized : false,
      position : '10',
      isPreDefAttributesContainer :  false ,
      isVisible: '1'
    },
      'sprachabh_text' : {
      'name:1' : 'sprachabh.text',
      'name:2' : '',
      id: '9251',
      productId : 9227,
      type: 'LocalizedString',



      'value:1': '',

      'value:2': 'english',


      isLocalized : true,
      position : '20',
      isPreDefAttributesContainer :  false ,
      isVisible: '1'
    },
      'textwerteauswahl' : {
      'name:1' : 'textwerteauswahl',
      'name:2' : '',
      id: '9252',
      productId : 9227,
      type: 'PreDefString',

      value: '0',

      isLocalized : false,
      position : '30',
      isPreDefAttributesContainer :  true ,
      isVisible: '1',
      preDefAttributes : [ {
        alias: 'alias_wert1',
        id: '9267',
        'value:1': 'wert1'
      }, {
        alias: 'alias_wert2',
        id: '9268',
        'value:1': 'wert2'
      }, {
        alias: 'alias_wert3',
        id: '9269',
        'value:1': 'wert3'
      }
      ]
    },
      'sprachabh_text_werteauswahl' : {
      'name:1' : 'sprachabh_text_werteauswahl',
      'name:2' : '',
      id: '9253',
      productId : 9227,
      type: 'PreDefLocalizedString',

      value: '0',

      isLocalized : true,
      position : '40',
      isPreDefAttributesContainer :  true ,
      isVisible: '1',
      preDefAttributes : [ {
        alias: 'alias_wert1',
        id: '9271',
        'value:1': 'wert1',
        'value:2': 'value1'

      }, {
        alias: 'alias_wert2',
        id: '9272',
        'value:1': 'wert2',
        'value:2': 'value2'

      }, {
        alias: 'alias_wert3',
        id: '9273',
        'value:1': 'wert3',
        'value:2': 'value3'

      }
      ]
    },
      'optionen' : {
      'name:1' : 'optionen',
      'name:2' : '',
      id: '9254',
      productId : 9227,
      type: 'PreDefMultiString',

      values : [
      ],

      isLocalized : false,
      position : '50',
      isPreDefAttributesContainer :  true ,
      isVisible: '1',
      preDefAttributes : [ {
        alias: 'aliasopt1',
        id: '9275',
        'value:1': 'OPtion1'
      }, {
        alias: 'aliasopt2',
        id: '9276',
        'value:1': 'OPtion2'
      }, {
        alias: 'aliasopt3',
        id: '9277',
        'value:1': 'aliasopt3'
      }
      ]
    },
      'sprachabh-option' : {
      'name:1' : 'sprachabh-option',
      'name:2' : '',
      id: '9255',
      productId : 9227,
      type: 'PreDefMultiLocalizedString',

      values : [
      ],

      isLocalized : true,
      position : '60',
      isPreDefAttributesContainer :  true ,
      isVisible: '1',
      preDefAttributes : [ {
        alias: 'alias_wert1',
        id: '9279',
        'value:1': 'wert1',
        'value:2': 'value1'

      }, {
        alias: 'alias_wert2',
        id: '9280',
        'value:1': 'wert2',
        'value:2': 'value2'

      }, {
        alias: 'alias_wert3',
        id: '9281',
        'value:1': 'wert3',
        'value:2': 'value3'

      }
      ]
    },
      'kundenoptionen' : {
      'name:1' : 'kundenoptionen',
      'name:2' : '',
      id: '9256',
      productId : 9227,
      type: 'PreDefCustomerString',

      values : [
      ],

      isLocalized : false,
      position : '70',
      isPreDefAttributesContainer :  true ,
      isVisible: '1',
      preDefAttributes : [ {
        alias: 'alias_Kundenoption1',
        id: '9283',
        'value:1': 'kundenoption1'
      }, {
        alias: 'alias_Kundenoption2',
        id: '9284',
        'value:1': 'kundenoption2'
      }, {
        alias: 'alias_Kundenoption3',
        id: '9285',
        'value:1': 'kundenoption3'
      }
      ]
    },
      'ganzeZahl' : {
      'name:1' : 'ganzeZahl',
      'name:2' : '',
      id: '9257',
      productId : 9227,
      type: 'Integer',



      'value': '',


      isLocalized : false,
      position : '80',
      isPreDefAttributesContainer :  false ,
      isVisible: '1'
    },
      'kommazahl' : {
      'name:1' : 'kommazahl',
      'name:2' : '',
      id: '9258',
      productId : 9227,
      type: 'Float',



      'value': '',


      isLocalized : false,
      position : '90',
      isPreDefAttributesContainer :  false ,
      isVisible: '1'
    },
      'jain' : {
      'name:1' : 'jain',
      'name:2' : '',
      id: '9259',
      productId : 9227,
      type: 'Boolean',



      'value': '0',


      isLocalized : false,
      position : '100',
      isPreDefAttributesContainer :  false ,
      isVisible: '1'
    },
      'geld' : {
      'name:1' : 'geld',
      'name:2' : '',
      id: '9260',
      productId : 9227,
      type: 'Money',



      'value': '',


      isLocalized : false,
      position : '110',
      isPreDefAttributesContainer :  false ,
      isVisible: '1'
    },
      'DatumUndZeit' : {
      'name:1' : 'DatumUndZeit',
      'name:2' : '',
      id: '9261',
      productId : 9227,
      type: 'DateTime',



      'value': '',


      isLocalized : false,
      position : '120',
      isPreDefAttributesContainer :  false ,
      isVisible: '1'
    },
      'Datum' : {
      'name:1' : 'Datum',
      'name:2' : '',
      id: '9262',
      productId : 9227,
      type: 'Date',



      'value': '',


      isLocalized : false,
      position : '130',
      isPreDefAttributesContainer :  false ,
      isVisible: '1'
    },
      'Zeit' : {
      'name:1' : 'zeit',
      'name:2' : '',
      id: '9263',
      productId : 9227,
      type: 'Time',



      'value': '',


      isLocalized : false,
      position : '140',
      isPreDefAttributesContainer :  false ,
      isVisible: '1'
    },
      'datei' : {
      'name:1' : 'datei',
      'name:2' : '',
      id: '9264',
      productId : 9227,
      type: 'File',



      'file': '',

      'value': '',


      isLocalized : false,
      position : '150',
      isPreDefAttributesContainer :  false ,
      isVisible: '1'
    },
      'Sprachabh_Datei' : {
      'name:1' : 'Sprachabh_Datei',
      'name:2' : '',
      id: '9265',
      productId : 9227,
      type: 'LocalizedFile',



      'file:1' : '',

      'value:1': '',

      'file:2' : '',

      'value:2': '',


      isLocalized : true,
      position : '160',
      isPreDefAttributesContainer :  false ,
      isVisible: '1'
    },
      'sprachabh_text_werteauswahl_leer' : {
      'name:1' : 'sprachabh_text_werteauswahl_leer',
      'name:2' : '',
      id: '9353',
      productId : 9227,
      type: 'PreDefLocalizedString',

      value: '0',

      isLocalized : true,
      position : '170',
      isPreDefAttributesContainer :  true ,
      isVisible: '1'
    }
  }
}
*/#ENDREM