use Test::Simple tests => 13;
use strict;
use DE_EPAGES::Core::API::Error qw (ExistsError);
use DE_EPAGES::Core::API::PerlTools qw(UsePackage);

foreach my $Package (qw(
    DE_EPAGES::Tax::DAL::SQL::TaxMatrix
    DE_EPAGES::Tax::DAL::Sybase::TaxMatrix
    DE_EPAGES::Tax::DAL::mysql::TaxMatrix
    DE_EPAGES::Tax::DAL::TaxMatrix
    DE_EPAGES::Tax::API::Object::TaxMatrix
    DE_EPAGES::Tax::API::Object::TaxArea
    DE_EPAGES::Tax::API::Object::TaxClass
    DE_EPAGES::Tax::API::Table::TaxAreaCountry
    DE_EPAGES::Tax::API::Table::TaxRate
    DE_EPAGES::Tax::API::XML::TaxMatrixDeleteHandler
    DE_EPAGES::Tax::API::XML::TaxMatrixExportDriver
    DE_EPAGES::Tax::API::XML::TaxMatrixImportHandler
    DE_EPAGES::Tax::API::Cartridge
  )) {
    UsePackage( $Package );
    ok ( !ExistsError(), $Package);
}
