use Test::Simple tests => 12;
use strict;
use DE_EPAGES::Core::API::Error qw (ExistsError);
use DE_EPAGES::Core::API::PerlTools qw(UsePackage);

foreach my $Package (qw(
    DE_EPAGES::Trigger::DAL::SQL::Hook
    DE_EPAGES::Trigger::DAL::Sybase::Hook
    DE_EPAGES::Trigger::DAL::mysql::Hook
    DE_EPAGES::Trigger::DAL::Hook
    DE_EPAGES::Trigger::API::Table::Hook
    DE_EPAGES::Trigger::API::Table::HookFunction
    DE_EPAGES::Trigger::API::XML::HookDeleteHandler
    DE_EPAGES::Trigger::API::XML::HookExportDriver
    DE_EPAGES::Trigger::API::XML::HookImportHandler
    DE_EPAGES::Trigger::API::Cartridge

    DE_EPAGES::Trigger::API::Trigger
    DE_EPAGES::Trigger::API::TriggerInstaller
  )) {
    UsePackage( $Package );
    ok ( !ExistsError(), $Package);
}
