use Test::Simple tests => 13;
use strict;
use DE_EPAGES::Core::API::Error qw (ExistsError);
use DE_EPAGES::Core::API::PerlTools qw(UsePackage);

foreach my $Package (qw(
    DE_EPAGES::WebService::DAL::SQL::WebService
    DE_EPAGES::WebService::DAL::Sybase::WebService
    DE_EPAGES::WebService::DAL::mysql::WebService
    DE_EPAGES::WebService::DAL::WebService
    DE_EPAGES::WebService::API::Object::WebService
    DE_EPAGES::WebService::API::Object::WebServiceSession
    DE_EPAGES::WebService::API::Attributes::WebService
    DE_EPAGES::WebService::API::Object::WebServiceMethod
    DE_EPAGES::WebService::API::Attributes::WebServiceMethod
    DE_EPAGES::WebService::API::XML::WebServiceDeleteHandler
    DE_EPAGES::WebService::API::XML::WebServiceExportDriver
    DE_EPAGES::WebService::API::XML::WebServiceImportHandler
    DE_EPAGES::WebService::API::Cartridge
  )) {
    UsePackage( $Package );
    ok ( !ExistsError(), $Package);
}
