-- #102
CREATE TABLE lineitempaymentworldpay (
     lineitempaymentworldpayid integer  not null
,    rawauthcode          char(1)  null
,    rawauthmessage       varchar(255)  null
,    authamount           decimal(19,4)  null
,    authcurrencyid       char(3)  null
,    isfuturepayagreement bool  not null

,   constraint pk_worldpaytransaction           primary key (lineitempaymentworldpayid)
,   constraint fk_lineitempaymentworldpay_cur   foreign key (authcurrencyid)
        references currency                         (currencyid)
,   constraint fk_lineitempaymentworldpay_lin   foreign key (lineitempaymentworldpayid)
        references lineitempaymentexternal          (lineitempaymentexternalid)
)
GO
