use Test::Simple tests => 14;
use strict;
use DE_EPAGES::Core::API::Error qw (ExistsError);
use DE_EPAGES::Core::API::PerlTools qw(UsePackage);

foreach my $Package (qw(
    DE_EPAGES::Coupon::DAL::SQL::Coupon
    DE_EPAGES::Coupon::DAL::Sybase::Coupon
    DE_EPAGES::Coupon::DAL::mysql::Coupon
    DE_EPAGES::Coupon::DAL::Coupon
    DE_EPAGES::Coupon::API::Object::CouponCampaign
    DE_EPAGES::Coupon::API::Attributes::CouponCampaign
    DE_EPAGES::Coupon::API::Object::CouponCode
    DE_EPAGES::Coupon::API::Attributes::CouponCode
    DE_EPAGES::Coupon::API::Object::CouponCondition
    DE_EPAGES::Coupon::API::Attributes::CouponCondition
    DE_EPAGES::Coupon::API::XML::CouponDeleteHandler
    DE_EPAGES::Coupon::API::XML::CouponExportDriver
    DE_EPAGES::Coupon::API::XML::CouponImportHandler
    DE_EPAGES::Coupon::API::Cartridge
  )) {
    UsePackage( $Package );
    ok ( !ExistsError(), $Package);
}
