use Test::Simple tests => 9;
use strict;
use DE_EPAGES::Core::API::Error qw (ExistsError);
use DE_EPAGES::Core::API::PerlTools qw(UsePackage);

foreach my $Package (qw(
    DE_EPAGES::Coupon::DAL::SQL::LineItemCoupon
    DE_EPAGES::Coupon::DAL::Sybase::LineItemCoupon
    DE_EPAGES::Coupon::DAL::mysql::LineItemCoupon
    DE_EPAGES::Coupon::DAL::LineItemCoupon
    DE_EPAGES::Coupon::API::Object::LineItemCoupon
    DE_EPAGES::Coupon::API::Attributes::LineItemCoupon
    DE_EPAGES::Coupon::API::XML::LineItemCouponDeleteHandler
    DE_EPAGES::Coupon::API::XML::LineItemCouponExportDriver
    DE_EPAGES::Coupon::API::XML::LineItemCouponImportHandler
  )) {
    UsePackage( $Package );
    ok ( !ExistsError(), $Package);
}
