use Test::Simple tests => 13;
use strict;
use DE_EPAGES::Core::API::Error qw (ExistsError);
use DE_EPAGES::Core::API::PerlTools qw(UsePackage);

foreach my $Package (qw(
    DE_EPAGES::Diagnostics::UI::Cache
    DE_EPAGES::Diagnostics::UI::Cartridge
    DE_EPAGES::Diagnostics::UI::Class
    DE_EPAGES::Diagnostics::UI::Database
    DE_EPAGES::Diagnostics::UI::DateTime
    DE_EPAGES::Diagnostics::UI::Encoding
    DE_EPAGES::Diagnostics::UI::Index
    DE_EPAGES::Diagnostics::UI::Language
    DE_EPAGES::Diagnostics::UI::PageType
    DE_EPAGES::Diagnostics::UI::Perl
    DE_EPAGES::Diagnostics::UI::Request
    DE_EPAGES::Diagnostics::UI::Trigger
    DE_EPAGES::Diagnostics::UI::User
  )) {
    UsePackage( $Package );
    ok ( ExistsError() == 0, $Package);
}
