-- #103
CREATE TABLE ebaycall (
    ebaycallid           int           not null
,   ebaycalltypeid       int           not null
,   ebayenvironmentid    int           null
,   shopid               int           null
,   date                 datetime      not null

,   constraint pk_ebaycall                      primary key (ebaycallid)
,   constraint fk_ebaycall_ebaycalltype         foreign key (ebaycalltypeid)
        references ebaycalltype                     (ebaycalltypeid)
,   constraint fk_ebaycall_ebayenvironment      foreign key (ebayenvironmentid)
        references ebayenvironment                  (ebayenvironmentid)
,   constraint fk_ebaycall_shop                 foreign key (shopid)
        references shop                             (shopid)
)
LOCK DATAROWS
GO
CREATE INDEX i_ebaycall_ebayenv ON ebaycall (ebayenvironmentid)
GO
CREATE INDEX i_ebaycall_type ON ebaycall (ebaycalltypeid)
GO
CREATE INDEX i_ebaycall_shop ON ebaycall (shopid)
GO
