-- #103
CREATE TABLE ebayshopenvironment (
    ebayshopenvironmentid int           not null
,   shopid               int           not null
,   ebayenvironmentid    int           not null
,   ebaytokenexpirydate  datetime      null
,   ebayusername         varchar(255)  null
,   ebaycountry          varchar(2)    null
,   ebayregion           int           null
,   ebaylocation         varchar(255)  null
,   name                 nvarchar(255)  null
,   lastupdate           datetime      null
,   ebaytoken            text          null
,   ebaypostalcode       varchar(32)   null

,   constraint pk_ebayshopenvironment           primary key (ebayshopenvironmentid)
,   constraint fk_ebayshopenvironment_object    foreign key (ebayshopenvironmentid)
        references object                           (objectid)
,   constraint fk_ebayshopenvironment_ebayenv   foreign key (ebayenvironmentid)
        references ebayenvironment                  (ebayenvironmentid)
,   constraint fk_ebayshopenvironment_shop      foreign key (shopid)
        references shop                             (shopid)
)
GO
CREATE INDEX i_shop ON ebayshopenvironment (shopid, ebayenvironmentid)
GO
CREATE INDEX i_ebayenvironment ON ebayshopenvironment (ebayenvironmentid)
GO
