-- #104
CREATE TABLE ebaycustomermap (
    shopid               int           not null
,   ebayshopenvironmentid int           not null
,   ebayusername         varchar(255)  not null
,   customerid           int           not null

,   constraint pk_ebaycustomermap               primary key (shopid,ebayshopenvironmentid,ebayusername)
,   constraint fk_ebaycustomermap_customer      foreign key (customerid)
        references customer                         (customerid)
,   constraint fk_ebaycustomermap_ebayshopenv   foreign key (ebayshopenvironmentid)
        references ebayshopenvironment              (ebayshopenvironmentid)
)
GO
CREATE INDEX i_customerid ON ebaycustomermap (customerid)
GO
CREATE INDEX i_ebayshopenvironmentid ON ebaycustomermap (ebayshopenvironmentid)
GO
