use Test::Simple tests => 7;
use strict;
use DE_EPAGES::Core::API::Error qw (ExistsError);
use DE_EPAGES::Core::API::PerlTools qw(UsePackage);

foreach my $Package (qw(
    DE_EPAGES::Etracker::DAL::SQL::Etracker
    DE_EPAGES::Etracker::DAL::Sybase::Etracker
    DE_EPAGES::Etracker::DAL::mysql::Etracker
    DE_EPAGES::Etracker::DAL::Etracker
    DE_EPAGES::Etracker::API::Attributes::EtrackerAction
    DE_EPAGES::Etracker::API::Table::ShopEtrackerAction
    DE_EPAGES::Etracker::API::Cartridge
  )) {
    UsePackage( $Package );
    ok ( !ExistsError(), $Package);
}
