use Test::Simple tests => 9;
use strict;
use DE_EPAGES::Core::API::Error qw (ExistsError);
use DE_EPAGES::Core::API::PerlTools qw(UsePackage);

foreach my $Package (qw(
    DE_EPAGES::MailType::DAL::SQL::MailType
    DE_EPAGES::MailType::DAL::Sybase::MailType
    DE_EPAGES::MailType::DAL::mysql::MailType
    DE_EPAGES::MailType::DAL::MailType
    DE_EPAGES::MailType::API::Object::MailTypeTemplate
    DE_EPAGES::MailType::API::Attributes::MailTypeTemplate
    DE_EPAGES::MailType::API::Object::MailType
    DE_EPAGES::MailType::API::Attributes::MailType
    DE_EPAGES::MailType::API::Cartridge
  )) {
    UsePackage( $Package );
    ok ( !ExistsError(), $Package);
}
