use Test::Simple tests => 7;
use strict;
use DE_EPAGES::Core::API::Error qw (ExistsError);
use DE_EPAGES::Core::API::PerlTools qw(UsePackage);

foreach my $Package (qw(
    DE_EPAGES::ProductRecommendation::DAL::SQL::ProductRecommendation
    DE_EPAGES::ProductRecommendation::DAL::Sybase::ProductRecommendation
    DE_EPAGES::ProductRecommendation::DAL::mysql::ProductRecommendation
    DE_EPAGES::ProductRecommendation::DAL::ProductRecommendation
    DE_EPAGES::ProductRecommendation::API::Attributes::ProductRecommendationSetup
    DE_EPAGES::ProductRecommendation::API::Table::ProductRecommendationUser
    DE_EPAGES::ProductRecommendation::API::Cartridge
  )) {
    UsePackage( $Package );
    ok ( !ExistsError(), $Package);
}
