use Test::Simple tests => 14;
use strict;
use DE_EPAGES::Core::API::Error qw (ExistsError);
use DE_EPAGES::Core::API::PerlTools qw(UsePackage);

foreach my $Package (qw(
        DE_EPAGES::ShippingTypes::API::Object::ShippingMethodFixPrice
        DE_EPAGES::ShippingTypes::API::Object::ShippingMethodFree
        DE_EPAGES::ShippingTypes::API::Object::ShippingMethodFreeLimit

        DE_EPAGES::ShippingTypes::API::Object::ShippingMethodWeightOfBasket
        DE_EPAGES::ShippingTypes::API::Object::ShippingMethodFree
        DE_EPAGES::ShippingTypes::API::Object::ShippingMethodFreeLimit
        DE_EPAGES::ShippingTypes::API::Object::ShippingMethodPriceOfBasket
        DE_EPAGES::ShippingTypes::API::Object::ShippingMethodProductsInBasket
        DE_EPAGES::ShippingTypes::API::Object::ShippingMethodFixPrice

        DE_EPAGES::ShippingTypes::API::Attributes::ShippingMethodWeightOfBasket_Ref

        DE_EPAGES::ShippingTypes::UI::ShippingMethodLevels
        DE_EPAGES::ShippingTypes::UI::ShippingMethodSingleLevel
        DE_EPAGES::ShippingTypes::API::Cartridge
        DE_EPAGES::ShippingTypes::API::Constants
    )) {
    UsePackage( $Package );
    ok ( !ExistsError(), $Package);
}
