use Test::Simple tests => 10;
use strict;
use DE_EPAGES::Core::API::Error qw (ExistsError);
use DE_EPAGES::Core::API::PerlTools qw(UsePackage);

foreach my $Package (qw(
    DE_EPAGES::ShopMailType::DAL::SQL::ShopMailType
    DE_EPAGES::ShopMailType::DAL::Sybase::ShopMailType
    DE_EPAGES::ShopMailType::DAL::mysql::ShopMailType
    DE_EPAGES::ShopMailType::DAL::ShopMailType
    DE_EPAGES::ShopMailType::API::Object::ShopMailType
    DE_EPAGES::ShopMailType::API::Attributes::ShopMailType
    DE_EPAGES::ShopMailType::API::XML::ShopMailTypeDeleteHandler
    DE_EPAGES::ShopMailType::API::XML::ShopMailTypeExportDriver
    DE_EPAGES::ShopMailType::API::XML::ShopMailTypeImportHandler
    DE_EPAGES::ShopMailType::API::Cartridge
  )) {
    UsePackage( $Package );
    ok ( !ExistsError(), $Package);
}
