use Test::Simple tests => 18;
use strict;
use DE_EPAGES::Core::API::Error qw (ExistsError);
use DE_EPAGES::Core::API::PerlTools qw(UsePackage);

foreach my $Package (qw(
    DE_EPAGES::TPay::DAL::SQL::TPay
    DE_EPAGES::TPay::DAL::Sybase::TPay
    DE_EPAGES::TPay::DAL::mysql::TPay
    DE_EPAGES::TPay::DAL::TPay
    DE_EPAGES::TPay::API::Object::LineItemPaymentTPay
    DE_EPAGES::TPay::API::Object::PaymentMethodTPay
    DE_EPAGES::TPay::API::Attributes::LineItemPaymentTPay
    DE_EPAGES::TPay::API::Attributes::LineItemPaymentTPay_Ext
    DE_EPAGES::TPay::API::Attributes::Shop
    DE_EPAGES::TPay::API::Cartridge
    DE_EPAGES::TPay::API::Constants
    DE_EPAGES::TPay::API::Payment
    DE_EPAGES::TPay::API::Tools
    DE_EPAGES::TPay::API::Mail
    DE_EPAGES::TPay::UI::Basket
    DE_EPAGES::TPay::UI::Shop
    DE_EPAGES::TPay::UI::CustomerOrder
    DE_EPAGES::TPay::UI::PaymentMethodTPay
  )) {
    UsePackage( $Package );
    ok ( !ExistsError(), $Package);
}
